P2PRegistry
Keywords: uk.ac.ic.doc.automed.p2p.P2PRegistry class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p
Class P2PRegistry

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.communication.AbstractRequestListener
          uk.ac.ic.doc.automed.p2p.P2PRegistry

All Implemented Interfaces:
  RequestListener

    public class P2PRegistry

extends AbstractRequestListener

Author:
  Charis TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Method Summary
`int` | `getPeerPort(java.lang.String name)`
`int` | `getTimeOut()`
`void` | `handleRequest(uk.ac.ic.doc.automed.p2p.messages.abstractlayer.AbstractMessage message, java.io.OutputStream output)` Handle TCP-type requests
`static void` | `main(java.lang.String[] args)`
`void` | `removePeer(java.lang.String name)`

Methods inherited from class uk.ac.ic.doc.automed.p2p.communication.AbstractRequestListener
`handleRequest, handleUDPRequest, handleUDPRequest, handleUDPRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(java.lang.String[] args)

### getPeerPort

    public int getPeerPort(java.lang.String name)

### removePeer

    public void removePeer(java.lang.String name)

### getTimeOut

    public int getTimeOut()

### handleRequest

    public void handleRequest(uk.ac.ic.doc.automed.p2p.messages.abstractlayer.AbstractMessage message,
                              java.io.OutputStream output)
                       throws java.io.IOException

  Description copied from class: `AbstractRequestListener`
  Handle TCP-type requests

  Specified by:
    `handleRequest` in interface `RequestListener`
  Overrides:
    `handleRequest` in class `AbstractRequestListener`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD